<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CustomerRegistrationController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">testing</a> &gt; <a href="index.source.html" class="el_package">com.softwaretesting.testing.customerRegistration.controller</a> &gt; <span class="el_source">CustomerRegistrationController.java</span></div><h1>CustomerRegistrationController.java</h1><pre class="source lang-java linenums">package com.softwaretesting.testing.customerRegistration.controller;

import com.softwaretesting.testing.dto.inbound.CustomerInDTO;
import com.softwaretesting.testing.dto.outbound.CustomerOutDTO;
import com.softwaretesting.testing.model.Customer;
import com.softwaretesting.testing.customerRegistration.service.CustomerRegistrationService;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping(&quot;api/v1/customer-registration&quot;)
public class CustomerRegistrationController {

    private final CustomerRegistrationService customerRegistrationService;

<span class="nc" id="L16">    public CustomerRegistrationController(CustomerRegistrationService customerRegistrationService) {</span>
<span class="nc" id="L17">        this.customerRegistrationService = customerRegistrationService;</span>
<span class="nc" id="L18">    }</span>


    @PostMapping
    public CustomerOutDTO registerNewCustomer(@RequestBody CustomerInDTO dto) {
<span class="nc" id="L23">        Customer customer = dto.toEntity();</span>
<span class="nc" id="L24">        customerRegistrationService.registerNewCustomer(customer);</span>
<span class="nc" id="L25">        return new CustomerOutDTO(customer);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.10.202304240956</span></div></body></html>